# H245_OpenLogicalChannelAck Class Reference

`#include <h245.h>`

Inheritance diagram for H245_OpenLogicalChannelAck:

List of all members.

## Public Types

enum | OptionalFields { e_reverseLogicalChannelParameters, e_separateStack, e_forwardMultiplexAckParameters, e_encryptionSync, e_genericInformation }

## Public Member Functions

| H245_OpenLogicalChannelAck (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H245_LogicalChannelNumber | m_forwardLogicalChannelNumber
H245_OpenLogicalChannelAck_reverseLogicalChannelParameters | m_reverseLogicalChannelParameters
H245_NetworkAccessParameters | m_separateStack
H245_OpenLogicalChannelAck_forwardMultiplexAckParameters | m_forwardMultiplexAckParameters
H245_EncryptionSync | m_encryptionSync
H245_ArrayOf_GenericInformation | m_genericInformation

## Member Enumeration Documentation

enum H245_OpenLogicalChannelAck::OptionalFields

Enumerator:

  e_reverseLogicalChannelParameters |
  e_separateStack |
  e_forwardMultiplexAckParameters |
  e_encryptionSync |
  e_genericInformation |

## Constructor & Destructor Documentation

H245_OpenLogicalChannelAck::H245_OpenLogicalChannelAck | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_OpenLogicalChannelAck::GetDataLength | ( |  | ) | const

PBoolean H245_OpenLogicalChannelAck::Decode | ( | PASN_Stream & | strm | ) |

void H245_OpenLogicalChannelAck::Encode | ( | PASN_Stream & | strm | ) | const

void H245_OpenLogicalChannelAck::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_OpenLogicalChannelAck::Compare | ( | const PObject & | obj | ) | const

PObject* H245_OpenLogicalChannelAck::Clone | ( |  | ) | const

## Member Data Documentation

H245_LogicalChannelNumber H245_OpenLogicalChannelAck::m_forwardLogicalChannelNumber

H245_OpenLogicalChannelAck_reverseLogicalChannelParameters H245_OpenLogicalChannelAck::m_reverseLogicalChannelParameters

H245_NetworkAccessParameters H245_OpenLogicalChannelAck::m_separateStack

H245_OpenLogicalChannelAck_forwardMultiplexAckParameters H245_OpenLogicalChannelAck::m_forwardMultiplexAckParameters

H245_EncryptionSync H245_OpenLogicalChannelAck::m_encryptionSync

H245_ArrayOf_GenericInformation H245_OpenLogicalChannelAck::m_genericInformation

The documentation for this class was generated from the following file:

- h245.h